devel/dconf - The NetBSD Packages Collection

Backend for gsettings

dconf is a low-level configuration system. Its main purpose is
to provide a backend to GSettings on platforms that don't already
have configuration storage systems.

Build dependencies

textproc/libxslt textproc/docbook-xsl devel/meson lang/vala pkgtools/cwrappers devel/gdbus-codegen devel/glib2-tools devel/pkgconf

Runtime dependencies

devel/glib2 devel/glib2 lang/python38 lang/python38 sysutils/dbus devel/glib2

Available binary packages

aarch64:dconf-0.36.0.tgz(NetBSD 9.0)
aarch64:dconf-0.36.0nb1.tgz(NetBSD 9.0)
aarch64:dconf-0.36.0nb3.tgz(NetBSD 9.0)
alpha:dconf-0.36.0.tgz(NetBSD 9.0)
alpha:dconf-0.36.0nb1.tgz(NetBSD 9.0)
earm:dconf-0.36.0nb1.tgz(NetBSD 9.0)
earmv6hf:dconf-0.36.0nb3.tgz(NetBSD 9.0)
earmv6hf:dconf-0.36.0.tgz(NetBSD 9.0)
earmv6hf:dconf-0.36.0nb1.tgz(NetBSD 9.0)
earmv6hf:dconf-0.36.0nb3.tgz(NetBSD 9.0)
earmv7hf:dconf-0.36.0nb3.tgz(NetBSD 8.0)
earmv7hf:dconf-0.36.0.tgz(NetBSD 8.0)
earmv7hf:dconf-0.36.0.tgz(NetBSD 8.0)
earmv7hf:dconf-0.36.0nb1.tgz(NetBSD 8.0)
earmv7hf:dconf-0.36.0nb3.tgz(NetBSD 9.0)
earmv7hf:dconf-0.36.0.tgz(NetBSD 9.0)
earmv7hf:dconf-0.36.0.tgz(NetBSD 9.0)
earmv7hf:dconf-0.36.0nb1.tgz(NetBSD 9.0)
earmv7hf:dconf-0.36.0nb3.tgz(NetBSD 9.0)
i386:dconf-0.36.0.tgz(NetBSD 8.0)
i386:dconf-0.36.0nb1.tgz(NetBSD 8.0)
i386:dconf-0.36.0nb3.tgz(NetBSD 8.0)
i386:dconf-0.36.0.tgz(NetBSD 9.0)
i386:dconf-0.36.0nb1.tgz(NetBSD 9.0)
i386:dconf-0.36.0nb3.tgz(NetBSD 9.0)
mips64eb:dconf-0.36.0nb3.tgz(NetBSD 9.0)
sparc64:dconf-0.36.0nb3.tgz(NetBSD 9.0)
sparc64:dconf-0.36.0.tgz(NetBSD 9.0)
sparc64:dconf-0.36.0nb1.tgz(NetBSD 9.0)
x86_64:dconf-0.36.0nb2.tgz(NetBSD 9.0)
x86_64:dconf-0.36.0nb3.tgz(NetBSD 9.0)
x86_64:dconf-0.36.0nb3.tgz(NetBSD 9.0)
x86_64:dconf-0.36.0nb1.tgz(NetBSD 9.0)
x86_64:dconf-0.36.0nb1.tgz(NetBSD 8.0)
x86_64:dconf-0.36.0.tgz(NetBSD 8.0)
x86_64:dconf-0.36.0nb3.tgz(NetBSD 8.0)
x86_64:dconf-0.36.0.tgz(NetBSD 9.0)
x86_64:dconf-0.36.0nb1.tgz(NetBSD 9.0)
x86_64:dconf-0.36.0nb3.tgz(NetBSD 9.0)
x86_64:dconf-0.36.0nb3.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]